/**
 * \file felhfelulet.h
 *
 * A felhasznli felletet megvalst osztlyok definicii
 * Nem ismeri a modellt.
 *
 */
#ifndef FELULET_H
#define FELULET_H
#include "callback.h"

/// Gomb.
/// A gomb "megnyomsra" meghvdik a nnyom() tagfggvny
class Gomb {
    GombCallback &cb;           // callback objektum referencia
public:
    Gomb (GombCallback &t) :cb(t) {}// referencia inic.

    /// A felhasznl felleten megnyomtk a gombot
    void nyom() {               // megnyomtk
        cb.callBack();
    }
};
#endif // FELULET_H
