/**
 * \file modell.h
 *
 * A modell-t megvalst osztlyok defincii
 * Nem ismeri a felhasznli felletet.
 *
 */
#ifndef MODELL_H
#define MODELL_H
#include "callback.h"

/// Drot
/// A drot modelljt megvalst osztly
class Drot {
public:
    /// Valahogy mkodik.
    /// A plda szempontjbl rdektelen
    void set() {}
};

/// Kapcsol
/// A kapcsolt modelljt megvalst osztly
class Kapcsolo :public Drot, public GombCallback {
	bool bent;                  // llapot
public:
    Kapcsolo() :bent(false) {}

    /// Kikapcsol
    void ki();

    /// Bekapcsol
    void be();

    /// GombCallback callBack fggvnye
    /// A felhasznli fellet ezt hvja
    void callBack();
};
#endif // MODELL_H
